org.eclipse.graphiti.mm.pictograms.impl

## Class ConnectionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.impl.PropertyContainerImpl
        - - org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
          - - org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl
            - - org.eclipse.graphiti.mm.pictograms.impl.AnchorContainerImpl
              - - org.eclipse.graphiti.mm.pictograms.impl.ConnectionImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GraphicsAlgorithmContainer, AnchorContainer, Connection, PictogramElement, PropertyContainer

Direct Known Subclasses:
  CompositeConnectionImpl, CurvedConnectionImpl, FreeFormConnectionImpl, ManhattanConnectionImpl

    public class ConnectionImpl
    extends AnchorContainerImpl
    implements Connection

An implementation of the model object 'Connection'.

The following features are implemented:

- `Start`
- `End`
- `Parent`
- `Connection Decorators`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`Anchor` `basicGetEnd()`
`Diagram` `basicGetParent()`
`Anchor` `basicGetStart()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetEnd(Anchor newEnd, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetParent(Diagram newParent, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetStart(Anchor newStart, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<ConnectionDecorator>` `getConnectionDecorators()`
`Anchor` `getEnd()`
`Diagram` `getParent()`
`Anchor` `getStart()`
`void` `setEnd(Anchor newEnd)`
`void` `setParent(Diagram newParent)`
`void` `setStart(Anchor newStart)`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.AnchorContainerImpl

`getAnchors`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl

`basicGetGraphicsAlgorithm, basicGetLink, basicSetGraphicsAlgorithm, basicSetLink, getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible, toString`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getStart

    public Anchor getStart()

Specified by:
  `getStart` in interface `Connection`
Returns:
  the value of the 'Start' reference.
See Also:
  `Connection.setStart(Anchor)`, `PictogramsPackage.getConnection_Start()`, `Anchor.getOutgoingConnections()`

#### basicGetStart

    public Anchor basicGetStart()

#### basicSetStart

    public org.eclipse.emf.common.notify.NotificationChain basicSetStart(Anchor newStart,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

#### setStart

    public void setStart(Anchor newStart)

Specified by:
  `setStart` in interface `Connection`
Parameters:
  `newStart` - the new value of the 'Start' reference.
See Also:
  `Connection.getStart()`

#### getEnd

    public Anchor getEnd()

Specified by:
  `getEnd` in interface `Connection`
Returns:
  the value of the 'End' reference.
See Also:
  `Connection.setEnd(Anchor)`, `PictogramsPackage.getConnection_End()`, `Anchor.getIncomingConnections()`

#### basicGetEnd

    public Anchor basicGetEnd()

#### basicSetEnd

    public org.eclipse.emf.common.notify.NotificationChain basicSetEnd(Anchor newEnd,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

#### setEnd

    public void setEnd(Anchor newEnd)

Specified by:
  `setEnd` in interface `Connection`
Parameters:
  `newEnd` - the new value of the 'End' reference.
See Also:
  `Connection.getEnd()`

#### getParent

    public Diagram getParent()

Specified by:
  `getParent` in interface `Connection`
Returns:
  the value of the 'Parent' container reference.
See Also:
  `Connection.setParent(Diagram)`, `PictogramsPackage.getConnection_Parent()`, `Diagram.getConnections()`

#### basicGetParent

    public Diagram basicGetParent()

#### basicSetParent

    public org.eclipse.emf.common.notify.NotificationChain basicSetParent(Diagram newParent,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

#### setParent

    public void setParent(Diagram newParent)

Specified by:
  `setParent` in interface `Connection`
Parameters:
  `newParent` - the new value of the 'Parent' container reference.
See Also:
  `Connection.getParent()`

#### getConnectionDecorators

    public org.eclipse.emf.common.util.EList<ConnectionDecorator> getConnectionDecorators()

Specified by:
  `getConnectionDecorators` in interface `Connection`
Returns:
  the value of the 'Connection Decorators' containment reference list.
See Also:
  `PictogramsPackage.getConnection_ConnectionDecorators()`, `ConnectionDecorator.getConnection()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `AnchorContainerImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `AnchorContainerImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `AnchorContainerImpl`

#### eSet

    public void eSet(int featureID,
                     Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `AnchorContainerImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `AnchorContainerImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `AnchorContainerImpl`